
import UIKit
import UserNotifications

class ViewController: UIViewController, UNUserNotificationCenterDelegate {
    @IBOutlet weak var messageField: UITextField!
    
    @IBAction func saveNotification(_ sender: UIButton) {
        let content = UNMutableNotificationContent()
        content.title = "Reminder"
        content.body = messageField.text!
        
        let trigger = UNTimeIntervalNotificationTrigger(timeInterval: 30, repeats: false)
        let request = UNNotificationRequest(identifier: "reminder", content: content, trigger: trigger)
        
        let notificationcenter = UNUserNotificationCenter.current()
        notificationcenter.add(request, withCompletionHandler: { (error) in
            let main = OperationQueue.main
            main.addOperation({
                self.messageField.text = ""
            })
        })
    }
    func userNotificationCenter(_ center: UNUserNotificationCenter, willPresent notification: UNNotification, withCompletionHandler completionHandler: @escaping (UNNotificationPresentationOptions) -> Void) {
        completionHandler([.alert])
    }
}
