
import UIKit
import UserNotifications

class ViewController: UIViewController, UNUserNotificationCenterDelegate {
    @IBOutlet weak var messageField: UITextField!
    
    @IBAction func saveNotification(_ sender: UIButton) {
        let notificationcenter = UNUserNotificationCenter.current()
        
        let actionDelete = UNNotificationAction(identifier: "deleteButton", title: "Delete", options: .destructive)
        
        let category = UNNotificationCategory(identifier: "listActions", actions: [actionDelete], intentIdentifiers: [], options: [])
        notificationcenter.setNotificationCategories([category])
        
        let content = UNMutableNotificationContent()
        content.title = "Reminder"
        content.body = messageField.text!
        content.categoryIdentifier = "listActions"
        
        let trigger = UNTimeIntervalNotificationTrigger(timeInterval: 30, repeats: false)
        
        let request = UNNotificationRequest(identifier: "reminder", content: content, trigger: trigger)
        notificationcenter.add(request, withCompletionHandler: { (error) in
            let main = OperationQueue.main
            main.addOperation({
                self.messageField.text = ""
            })
        })
    }
    func userNotificationCenter(_ center: UNUserNotificationCenter, didReceive response: UNNotificationResponse, withCompletionHandler completionHandler: @escaping () -> Void) {
        let identifier = response.actionIdentifier
        if identifier == "deleteButton" {
            print("Delete Message")
        }
        completionHandler()
    }
}
